import { CellInfoDescription } from "./CellInfoDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class DateTimeCellInfoDescription extends CellInfoDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private dm;
    get dateTimeValue(): Date;
    set dateTimeValue(a: Date);
    private dq;
    get formatOverrideRef(): string;
    set formatOverrideRef(a: string);
    private dp;
    get dateTimeFormat(): string;
    set dateTimeFormat(a: string);
    private dk;
    get isOffsetValue(): boolean;
    set isOffsetValue(a: boolean);
}
